From d921539ad550fb4222aaa8d9fc742239150838af Mon Sep 17 00:00:00 2001
From: Carlos Goncalves <carlos.goncalves@neclab.eu>
Date: Fri, 26 Aug 2016 14:00:29 +0000
Subject: [PATCH] Add exit status to notification time calculation

Change-Id: Ib85571c3939ecb5136eba2c5de8d4b72f2d0659e
Signed-off-by: Carlos Goncalves <carlos.goncalves@neclab.eu>
---
 tests/run.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/tests/run.sh b/tests/run.sh
index 292a7ce7..ee96da9d 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -484,7 +484,11 @@ calculate_notification_time() {
         exit 1
     fi
     echo "$notified $detected" | \
-        awk '{d = $1 - $2; if (d < 1 && d > 0) print d " OK"; else print d " NG"}'
+        awk '{
+            d = $1 - $2;
+            if (d < 1 && d > 0) { print d " OK"; exit 0 }
+            else { print d " NG"; exit 1 }
+        }'
 }
 
 check_host_status() {
-- 
2.16.6